Rated 4 out of 5 stars

It's not compatible with Firefox 8. Please update the add-on.

Update: Sorry about the report. It's actually compatible with FF8. Don't know why Firefox showed it as incompatible at first run.

This review is for a previous version of the add-on (1.0.3).